Qt 5.9 | Qt Charts | C++ Classes | QCandlestickLegendMarker

Qt 5.9.9 Reference Documentation

# QCandlestickLegendMarker Class

The QCandlestickLegendMarker class is a legend marker for a candlestick series. More...

Header: | #include <QCandlestickLegendMarker>
Since: | Qt 5.8
Inherits: | QLegendMarker

- List of all members, including inherited members

## Public Functions

virtual | ~QCandlestickLegendMarker()

## Reimplemented Public Functions

virtual QCandlestickSeries * | series()
virtual LegendMarkerType | type()

- 16 public functions inherited from QLegendMarker

### Additional Inherited Members

- 7 properties inherited from QLegendMarker
- 9 signals inherited from QLegendMarker

## Detailed Description

The QCandlestickLegendMarker class is a legend marker for a candlestick series.

QCandlestickLegendMarker is related to QCandlestickSeries, so that one candlestick series results in one marker.

See also QLegend and QCandlestickSeries.

## Member Function Documentation

### `[virtual]` QCandlestickLegendMarker::~QCandlestickLegendMarker()

Destroys the instance of QCandlestickLegendMarker. The destructor is virtual.

### `[virtual]` QCandlestickSeries *QCandlestickLegendMarker::series()

Reimplemented from QLegendMarker::series().

### `[virtual]` LegendMarkerType QCandlestickLegendMarker::type()

Reimplemented from QLegendMarker::type().